#!/bin/bash

source /kit_type_env

echo "Copy to S3 bucket ${BUCKET_NAME}/${PREFIX}/${KIT_TYPE}"
ls -ltr ${LOCAL_PATH}
echo "aws s3 sync ${LOCAL_PATH} s3://${BUCKET_NAME}/${PREFIX}/${KIT_TYPE}  --sse"
aws s3 sync ${LOCAL_PATH} s3://${BUCKET_NAME}/${PREFIX}/${KIT_TYPE}  --sse

if [ $? -eq 0 ]; then
    echo "S3 copy succeeded"
else
    echo "S3 copy failed"
fi

